import {List, ListItem, ListItemIcon, Tooltip, ListItemText} from '@material-ui/core';
import React from 'react';
import {Link as RouterLink} from 'react-router-dom';
import {LocationDescriptorObject} from 'history';

export const NavItem = (props:{name:string,to:string, icon:React.ReactElement<any,any>})=>{
    return (<ListItem button key={props.name} component={RouterLink} to={props.to}>
    <ListItemIcon>
        <Tooltip title={props.name.toLocaleLowerCase()} placement="bottom">
            {props.icon}
        </Tooltip>
    </ListItemIcon>
    <ListItemText primary={props.name}></ListItemText>
</ListItem>);
}

export const NavList = (props: {children?:React.ReactNode})=>{
    return (<List>
            {props.children}
        </List>);
}