import React, { useContext } from 'react';
import { NavList, NavItem, Headline } from '../component/mod';
import {ArrowBack as ArrowBackIcon} from '@material-ui/icons';
import {GalleryInfo} from '../component/mod';
import {BackLinkContext} from '../state';
import {useLocation} from 'react-router-dom';
import { QueryStringToMap } from '../accessor/util';

export const Gallery = ()=>{
    const location = useLocation();
    const backctx = useContext(BackLinkContext);
    backctx.setPath("/");
    
    const query = QueryStringToMap(location.search);
    const menu_list = (<NavList>
        {Object.keys(query).length !== 0 && <NavItem name="Back" to="/" icon={<ArrowBackIcon></ArrowBackIcon>}></NavItem>}
    </NavList>);

    return (<Headline menu={menu_list}>
        <GalleryInfo option={query}></GalleryInfo>
    </Headline>)
}